\newcommand{\colorsforp}[1]{C[#1]}

\newcommand{\tauloc}{\tau_{\text{loc.}}}
%\newcommand{\tauglob}{\tau_G}



\newcommand{\tauglobmin}{{\tau_c^{\text{min}}}}
\newcommand{\tauglobmean}{{\tau_c^{\text{mean}}}}

\newcommand{\statfmc}{f_{c,m}}
\newcommand{\statsmc}{s_{c,m}}


%\newcommand{\taulocmed}{\tau_{\text{loc.}}^{\text{med}}}
%\newcommand{\tauglobmed}{\tau_G^{\text{med}}}

\newcommand{\taulocmax}[1]{\tau_{\text{loc.}}^{\text{Max-#1}}}

\NewDocumentCommand\tauedge{g}{\IfNoValueTF{#1}{\tau_2}{\tau_2(#1)}}
\newcommand{\tauedgemax}[1]{\tau_2^{Max-#1}}

\NewDocumentCommand\tautriangle{g}{\IfNoValueTF{#1}{\tau_3}{\tau_3(#1)}}
\newcommand{\tautrianglemax}[1]{\tau_3^{Max-#1}}

\NewDocumentCommand\taustar{g}{\IfNoValueTF{#1}{\tau_{*}}{\tau_{*}(#1)}}
\newcommand{\taustarmax}[1]{\tau_{*}^{Max-#1}}




\newcommand{\ds}{\displaystyle}
%\newcommand{\A}{\mathcal{A}}
%\newcommand{\D}{\mathcal{D}}
\newcommand{\B}{\mathcal{B}}
\newcommand{\E}{\mathbb{E}}
\newcommand{\Pee}{\mathbb{P}}
%\newcommand{\Ks}{\mathcal{K^*}}
%\newcommand{\R}{\mathcal{R}}
\newcommand{\M}{\mathcal{M}}
%\newcommand{\F}{\mathcal{F}}
\newcommand{\NP}{\mathsf{NP}}
\newcommand{\Poly}{\mathsf{P}}

\theoremstyle{plain}
\newtheorem{theorem}{Theorem}
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{claim}{Claim}[theorem]

\theoremstyle{definition}
\newtheorem{remark}[theorem]{Remark}
\newtheorem{question}[theorem]{Question}
\newtheorem{problem}[theorem]{Problem}
\newtheorem{conjecture}[theorem]{Conjecture}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{exercise}{Exercise}
\newtheorem{observation}{Observation}

%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\FH}[1]{\textcolor{red}{\textbf{Fred: #1}}}
\newcommand{\Ha}[1]{\textcolor{blue}{#1}}
\newcommand{\dm}[1]{\textcolor{purple}{\textbf{#1}}}
\newcommand{\TODO}[1]{{\color{red} {#1}}}

\DeclareMathOperator{\sgn}{sgn}
\DeclareMathOperator{\tw}{tw}
\newcommand{\ie}{\emph{i.e.}\xspace}
\newcommand{\eg}{\emph{e.g.}\xspace}


\newcommand{\tored}{\color{red}\xspace}
\newcommand{\tor}{\color{red}\xspace}
\newcommand{\toblue}{\color{blue}\xspace}
\newcommand{\tob}{\color{blue}\xspace}

\newcommand{\toblack}{\color{black}\xspace}
\newcommand{\togreen}{\color{green}\xspace}
\newcommand{\todgreen}{\color{darkgreen}\xspace}
\newcommand{\todg}{\color{darkgreen}\xspace}

\newcommand{\makeremark}[2]{
  \newcommand{#1}[1]
    {$\longrightarrow$\textcolor{red}{\sc #2: ##1}$\leftarrow$ \medskip}}

\newenvironment{subproof}[1]{\par\noindent\textit{Proof of claim:}\space#1}{ \hspace*{\fill} $\triangleleft$\medskip}
    
\newenvironment{subproof2}[1]{\par\noindent\textit{Proof of}\space#1}{ \hspace*{\fill} $\triangleleft$\medskip}

\newcommand{\makeremarkMargin}[2]{\marginpar{\tiny{\color{red}#1}:\color{blue}#2}}
\makeremark{\fc}{Frederic says}
\makeremark{\sm}{Simon says}
